## gspell 1.14.1

=== meson_options.txt ===
option(
  'gspell_app',
  type: 'boolean', value: true,
  description: 'Build gspell-app'
)

option(
  'gobject_introspection',
  type: 'boolean', value: true,
  description: 'Build GObject Introspection data (requires gobject-introspection)'
)

option(
  'vapi',
  type: 'boolean', value: true,
  description: 'Build vapi, for Vala (requires vapigen)'
)

option(
  'gtk_doc',
  type: 'boolean', value: true,
  description: 'Build API reference (requires gtk-doc)'
)

option(
  'tests',
  type: 'boolean', value: true,
  description: 'Build tests'
)

# https://wiki.gnome.org/Initiatives/GnomeGoals/InstalledTests
option(
  'install_tests',
  type: 'boolean', value: true,
  description: 'Install unit test executables'
)

## gspell 1.0.0

=== debian/changelog ===
gspell (1.0.0-3) unstable; urgency=medium

  * Upload to unstable.
  * Add Tanguy to Uploaders.

 -- Michael Biebl <biebl@debian.org>  Sun, 17 Apr 2016 16:09:30 +0200

gspell (1.0.0-2) experimental; urgency=medium

  * debian/control: make libgspell-1-dev depend on libgspell-1-0 and devel
    libraries referrenced in gspell-1.pc (thanks to ah).

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Fri, 01 Apr 2016 18:45:47 +0200

gspell (1.0.0-1) experimental; urgency=low

  * Initial release (Closes: #816557)

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Wed, 02 Mar 2016 22:24:45 +0100

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gspell
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>, Michael Biebl <biebl@debian.org>
Build-Depends:
    autopoint (>= 0.19.4),
    autotools-dev,
    debhelper (>= 9),
    dh-autoreconf,
    gnome-pkg-tools,
    gobject-introspection,
    gtk-doc-tools (>= 1.24-2),
    iso-codes,
    libgirepository1.0-dev,
    libglib2.0-dev (>= 2.44),
    libgtk-3-dev (>= 3.20),
    libenchant-dev (>= 1.6.0),
    valac,
Standards-Version: 3.9.7
Homepage: https://wiki.gnome.org/Projects/gspell
Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/gspell.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gnome/gspell.git/

Package: libgspell-1-1
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: spell-checking library for GTK+ applications
 gspell provides a flexible API to add spell checking to a GTK+ application.
 It features:
  * GObject wrappers around Enchant
  * An inline spell checker for GtkTextView (enhanced version of GtkSpell)
  * A spell checker dialog for GtkTextView
  * Support of the no-spell-check tag defined by GtkSourceView
  * Language choosers (button and dialog)

Package: libgspell-1-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends},
    libgspell-1-1 (= ${binary:Version}),
    libglib2.0-dev (>= 2.44),
    libgtk-3-dev (>= 3.20),
    libenchant-dev (>= 1.6.0)
Description: spell-checking library for GTK+ applications - development files
 gspell provides a flexible API to add spell checking to a GTK+ application.
 It features:
  * GObject wrappers around Enchant
  * An inline spell checker for GtkTextView (enhanced version of GtkSpell)
  * A spell checker dialog for GtkTextView
  * Support of the no-spell-check tag defined by GtkSourceView
  * Language choosers (button and dialog)
 .
 This package contains development headers and libraries.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


# main packaging script based on dh7 syntax
%:
	dh $@  --with autoreconf,gnome

override_dh_auto_configure:
	#dh_auto_configure -- --enable-gtk-doc --enable-gtk-doc-html
	dh_auto_configure -- --enable-gtk-doc --enable-gtk-doc-html --enable-vala

# Disable tests, that require D-Bus and will not work well under fakeroot or
# without a session bus.
override_dh_auto_test:

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_autoreconf:
	dh_autoreconf --as-needed

=== debian/watch ===
version=3

https://download.gnome.org/sources/gspell/([\d\.]+)/gspell-([\d\.]+).tar.xz

## gspell 1.0.1

=== debian/changelog ===
gspell (1.0.1-3) unstable; urgency=medium

  * debian/watch: do not take into account odd-numbered minor versions.

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Fri, 03 Jun 2016 13:50:16 +0200

gspell (1.0.1-2) unstable; urgency=medium

  * debian/rules:
     - correctly generate docs/reference/gspell-1.0-sections.txt to fix FTBFS
       on kfreebsd-*.
     - remove an old and useless commented line.

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Fri, 13 May 2016 22:57:19 +0200

gspell (1.0.1-1) unstable; urgency=medium

  * New upstream version
  * debian/control: Update Standards-Version to 3.9.8 (no change needed).

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Wed, 04 May 2016 23:00:15 +0200

=== debian/rules ===
--- 
+++ 
@@ -17,7 +17,6 @@
 	dh $@  --with autoreconf,gnome
 
 override_dh_auto_configure:
-	#dh_auto_configure -- --enable-gtk-doc --enable-gtk-doc-html
 	dh_auto_configure -- --enable-gtk-doc --enable-gtk-doc-html --enable-vala
 
 # Disable tests, that require D-Bus and will not work well under fakeroot or
@@ -29,3 +28,17 @@
 
 override_dh_autoreconf:
 	dh_autoreconf --as-needed
+
+override_dh_auto_build:
+	# Upstream Makefile has docs/reference/gspell-1.0-sections.txt:
+	# 1. incorrectly generated by gtkdoc-scangobj ;
+	# 2. correctly regenerated by copying docs/reference/gspell-sections.txt.in.
+	#
+	# Unfortunately, that second step relies on high resolution mtime (~< .1s),
+	# which is not the case on kFreeBSD (= 1s), which makes the build fail.
+	#
+	# We therefore correctly copy it from docs/reference/gspell-sections.txt.in.
+	# Later, when gtkdoc-scangobj is called, and sees this file, it will
+	# not regenerate it.
+	cp docs/reference/gspell-sections.txt.in docs/reference/gspell-1.0-sections.txt
+	dh_auto_build

## gspell 1.0.3

=== debian/changelog ===
gspell (1.0.3-1ubuntu3) yakkety; urgency=medium

  [ Michael Terry ]
  * debian/control.in:
    - Depend on at-spi2-core, needed for the tests

  [ Jeremy Bicha ]
  * Re-enable dh_auto_test

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 12 Aug 2016 19:41:39 -0400

gspell (1.0.3-1ubuntu2) yakkety; urgency=medium

  * Don't run upstream tests during build since they don't work on the
    launchpad builders

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 10 Aug 2016 13:37:55 -0400

gspell (1.0.3-1ubuntu1) yakkety; urgency=medium

  * debian/rules:
    - Enable build tests with xvfb-run
  * debian/control.in:
    - Add build dependencies needed for tests (dbus-x11, xauth and xvfb)
  * Add basic autopkgtest to run dh_auto_test

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 10 Aug 2016 13:12:32 -0400

gspell (1.0.3-1) unstable; urgency=medium

  * New upstream version:
     - fix FTBFS on kfreebsd-*.
  * debian/rules: remove override no longer needed to correctly build on
    kfreebsd-*, as it was fixed upstream.

 -- Tanguy Ortolo <tanguy+debian@ortolo.eu>  Sat, 23 Jul 2016 19:30:08 +0200

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,14 @@
 Source: gspell
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>, Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>
 Build-Depends:
+    at-spi2-core,
     autopoint (>= 0.19.4),
     autotools-dev,
+    dbus-x11,
     debhelper (>= 9),
     dh-autoreconf,
     gnome-pkg-tools,
@@ -21,7 +24,9 @@
     libgtk-3-dev (>= 3.20),
     libenchant-dev (>= 1.6.0),
     valac,
-Standards-Version: 3.9.7
+    xauth,
+    xvfb,
+Standards-Version: 3.9.8
 Homepage: https://wiki.gnome.org/Projects/gspell
 Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/gspell.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gnome/gspell.git/

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#DH_VERBOSE = 1


# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append LDFLAGS
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed


# main packaging script based on dh7 syntax
%:
	dh $@  --with autoreconf,gnome

override_dh_auto_configure:
	dh_auto_configure -- --enable-gtk-doc --enable-gtk-doc-html --enable-vala

override_dh_auto_test:
	xvfb-run dh_auto_test

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_autoreconf:
	dh_autoreconf --as-needed

## gspell 1.2.2

=== debian/changelog ===
gspell (1.2.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compat level to 10.

 -- Michael Biebl <biebl@debian.org>  Sat, 17 Dec 2016 19:27:07 +0100

gspell (1.2.1-1) unstable; urgency=medium

  * debian/tests/build: Instead of allow-stderr, whitelist messages dbus
    prints on stderr when it is activating services.
  * New upstream release with only translation changes

 -- Iain Lane <laney@debian.org>  Mon, 14 Nov 2016 17:33:10 +0000

gspell (1.2.0-2) unstable; urgency=medium

  * debian/control.in: Make libgspell-1-1 depend against libgspell-1-common

 -- Laurent Bigonville <bigon@debian.org>  Sun, 09 Oct 2016 12:30:18 +0200

gspell (1.2.0-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * debian/rules:
    - Enable build tests with xvfb-run (LP: #1610588)
  * debian/control.in:
    - Add build dependencies needed for tests (dbus, xauth and xvfb)
  * Add basic autopkgtest to run dh_auto_test

  [ Michael Terry]
  * debian/control.in:
    - Build-depend on at-spi2-core, also needed for the tests

  [ Laurent Bigonville ]
  * New upstream release
    - debian/libgspell-1-1.symbols: Add newly exported symbols
  * Install the GObject introspection files
  * debian/control.in: Tag build-deps needed by the test with <!nocheck>
  * Add the libgspell-1-common package to ship the translation files
  * debian/patches/01_fix_dashes_test.patch: Disable part of the test, for
    some reasons it's failing with aspell (see bgo#772406)

 -- Laurent Bigonville <bigon@debian.org>  Sun, 09 Oct 2016 12:05:22 +0200

=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gspell
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>, Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
Build-Depends: at-spi2-core <!nocheck>,
               dbus <!nocheck>,
               debhelper (>= 10),
               gnome-pkg-tools,
               gobject-introspection,
               gtk-doc-tools (>= 1.24-2),
               iso-codes,
               libenchant-dev (>= 1.6.0),
               libgirepository1.0-dev,
               libglib2.0-dev (>= 2.44),
               libgtk-3-dev (>= 3.20),
               valac,
               xauth <!nocheck>,
               xvfb <!nocheck>
Standards-Version: 3.9.8
Homepage: https://wiki.gnome.org/Projects/gspell
Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/gspell.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gnome/gspell.git/

Package: libgspell-1-1
Architecture: any
Multi-Arch: same
Depends: libgspell-1-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: spell-checking library for GTK+ applications
 gspell provides a flexible API to add spell checking to a GTK+ application.
 It features:
  * GObject wrappers around Enchant
  * An inline spell checker for GtkTextView (enhanced version of GtkSpell)
  * A spell checker dialog for GtkTextView
  * Support of the no-spell-check tag defined by GtkSourceView
  * Language choosers (button and dialog)

Package: libgspell-1-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: libgspell architecture-independent files
 gspell provides a flexible API to add spell checking to a GTK+ application.
 It features:
  * GObject wrappers around Enchant
  * An inline spell checker for GtkTextView (enhanced version of GtkSpell)
  * A spell checker dialog for GtkTextView
  * Support of the no-spell-check tag defined by GtkSourceView
  * Language choosers (button and dialog)
 .
 This package contains the architecture independent files
 like translation of messages.

Package: libgspell-1-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: gir1.2-gspell-1 (= ${binary:Version}),
         libenchant-dev (>= 1.6.0),
         libglib2.0-dev (>= 2.44),
         libgspell-1-1 (= ${binary:Version}),
         libgtk-3-dev (>= 3.20),
         ${misc:Depends},
         ${shlibs:Depends}
Description: spell-checking library for GTK+ applications - development files
 gspell provides a flexible API to add spell checking to a GTK+ application.
 It features:
  * GObject wrappers around Enchant
  * An inline spell checker for GtkTextView (enhanced version of GtkSpell)
  * A spell checker dialog for GtkTextView
  * Support of the no-spell-check tag defined by GtkSourceView
  * Language choosers (button and dialog)
 .
 This package contains development headers and libraries.

Package: gir1.2-gspell-1
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends}, ${misc:Depends}
Description: spell-checking library for GTK+ applications - GObject introspection
 gspell provides a flexible API to add spell checking to a GTK+ application.
 It features:
  * GObject wrappers around Enchant
  * An inline spell checker for GtkTextView (enhanced version of GtkSpell)
  * A spell checker dialog for GtkTextView
  * Support of the no-spell-check tag defined by GtkSourceView
  * Language choosers (button and dialog)
 .
 This package contains the GObject introspection binding

=== debian/rules ===
--- 
+++ 
@@ -14,13 +14,13 @@
 
 # main packaging script based on dh7 syntax
 %:
-	dh $@  --with autoreconf,gnome
+	dh $@  --with gnome,gir
 
 override_dh_auto_configure:
 	dh_auto_configure -- --enable-gtk-doc --enable-gtk-doc-html --enable-vala
 
 override_dh_auto_test:
-	xvfb-run dh_auto_test
+	dbus-run-session -- xvfb-run dh_auto_test
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS

## gspell 1.4.0

=== debian/changelog ===
gspell (1.4.0-0ubuntu1) zesty; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 18 Mar 2017 13:09:58 -0400

gspell (1.3.3-0ubuntu1) zesty; urgency=medium

  * New upstream release
  * Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 04 Mar 2017 01:03:09 -0500

gspell (1.3.2-0ubuntu1) zesty; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Feb 2017 21:00:07 -0500

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: gspell
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>, Iain Lane <laney@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: at-spi2-core <!nocheck>,
                dbus <!nocheck>,
                debhelper (>= 10),

=== debian/rules ===
--- 
+++ 
@@ -27,3 +27,6 @@
 
 override_dh_autoreconf:
 	dh_autoreconf --as-needed
+
+override_dh_install:
+	dh_install --list-missing

## gspell 1.6.0

=== debian/changelog ===
gspell (1.6.0-1) unstable; urgency=medium

  * New upstream release
  * debian/rules:
    - Use dh_install --fail-missing. Don't install sample app for now.

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 10 Sep 2017 09:57:57 -0400

gspell (1.5.4-1) unstable; urgency=medium

  * New upstream release
  * debian/libgspell-1-1.symbols: Add new symbols.
    Drop one symbol that has been marked private.
  * Refresh patch
  * Bump Standards-Version to 4.1.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 30 Aug 2017 08:53:35 -0400

gspell (1.2.3-1) unstable; urgency=medium

  [ Michael Biebl ]
  * Use pristine-tar with git-buildpackage

  [ Andreas Henriksson ]
  * New upstream version 1.2.3

 -- Andreas Henriksson <andreas@fatal.se>  Thu, 09 Mar 2017 10:49:36 +0100

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,8 @@
 Source: gspell
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>, Andreas Henriksson <andreas@fatal.se>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: at-spi2-core <!nocheck>,
                dbus <!nocheck>,
                debhelper (>= 10),
@@ -22,7 +21,7 @@
                valac,
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 3.9.8
+Standards-Version: 4.1.0
 Homepage: https://wiki.gnome.org/Projects/gspell
 Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/gspell.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gnome/gspell.git/

=== debian/rules ===
--- 
+++ 
@@ -29,4 +29,6 @@
 	dh_autoreconf --as-needed
 
 override_dh_install:
-	dh_install --list-missing
+	find debian/ -name '*.la' -delete
+	rm -f debian/tmp/usr/bin/gspell-app1
+	dh_install --fail-missing

## gspell 1.6.1

=== debian/changelog ===
gspell (1.6.1-1) unstable; urgency=medium

  * New upstream version 1.6.1
  * Switch to dh_missing
  * Bump Standards-Version to 4.1.1
  * Honour DEB_BUILD_OPTIONS=nocheck

 -- Michael Biebl <biebl@debian.org>  Sun, 05 Nov 2017 12:45:04 +0100

=== debian/control ===
--- 
+++ 
@@ -6,10 +6,10 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>, Andreas Henriksson <andreas@fatal.se>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: at-spi2-core <!nocheck>,
                dbus <!nocheck>,
-               debhelper (>= 10),
+               debhelper (>= 10.3),
                gnome-pkg-tools,
                gobject-introspection,
                gtk-doc-tools (>= 1.24-2),
@@ -21,7 +21,7 @@
                valac,
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.1.0
+Standards-Version: 4.1.1
 Homepage: https://wiki.gnome.org/Projects/gspell
 Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/gspell.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gnome/gspell.git/

=== debian/rules ===
--- 
+++ 
@@ -20,7 +20,9 @@
 	dh_auto_configure -- --enable-gtk-doc --enable-gtk-doc-html --enable-vala
 
 override_dh_auto_test:
+ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
 	dbus-run-session -- xvfb-run dh_auto_test
+endif
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
@@ -31,4 +33,7 @@
 override_dh_install:
 	find debian/ -name '*.la' -delete
 	rm -f debian/tmp/usr/bin/gspell-app1
-	dh_install --fail-missing
+	dh_install
+
+override_dh_missing:
+	dh_missing --fail-missing

=== debian/tests/control ===
Tests: build
Depends: @, @builddeps@
Restrictions: build-needed

=== debian/watch ===
version=3

https://download.gnome.org/sources/gspell/([\d\.]+.[\d]*[02468])/gspell-([\d\.]+).tar.xz

## gspell 1.8.3

=== debian/changelog ===
gspell (1.8.3-1) unstable; urgency=medium

  * New upstream release
  * Build-Depend on dh-sequence-gir & dh-sequence-gnome
  * Drop 01_fix_dashes_test.patch: Apparently no longer needed

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 02 Feb 2020 09:47:24 -0500

gspell (1.8.2-2) unstable; urgency=medium

  * Upload to unstable

 -- Laurent Bigonville <bigon@debian.org>  Thu, 23 Jan 2020 02:11:00 +0100

gspell (1.8.2-1) experimental; urgency=medium

  * New upstream version 1.8.2 (Closes: #910574)
    - Bump (build-)dependencies for libenchant
    - Bump soname of the library to 2
  * debian/control.in: Bump Standards-Version to 4.4.1 (no further changes)
  * debian/rules: Create a writable HOME for the tests
  * Split the documentation out the -dev package and add support for the nodoc
    build-profile
  * debian/control.in: Add missing -doc packages to the build-dependencies so
    the links inside the documentation are properly resolved
  * Enable the installed tests and rework the autopkg tests to use them
  * debian/control.in: Add iso-codes to the dependencies, this seems needed to
    detect the installed languages at runtime

 -- Laurent Bigonville <bigon@debian.org>  Sat, 28 Dec 2019 16:41:33 +0100

gspell (1.6.1-2) unstable; urgency=medium

  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Update Vcs fields for migration to https://salsa.debian.org/
  * Add -Wl,-O1 to our LDFLAGS
  * Use debian/docs to install NEWS
  * debian/libgspell-1-1.symbols: Add Build-Depends-Package
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 25 Dec 2018 20:32:33 -0500

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

# only build documentation if gtk-doc is installed and the nodoc profile is not set
ifeq ($(filter nodoc,$(DEB_BUILD_PROFILES)),)
ifneq ($(shell which gtkdoc-scan),)
BUILD_DOC := --enable-gtk-doc --enable-gtk-doc-html
endif
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(BUILD_DOC) --enable-vala --enable-installed-tests

override_dh_auto_test:
ifeq (,$(filter nocheck, $(DEB_BUILD_OPTIONS)))
	mkdir debian/home
	HOME=debian/home dbus-run-session -- xvfb-run dh_auto_test
endif

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_install:
	find debian/ -name '*.la' -print -delete
	rm -f debian/tmp/usr/bin/gspell-app1
	dh_install

override_dh_missing:
	dh_missing --fail-missing

override_dh_clean:
	rm -rf debian/home
	dh_clean

## gspell 1.8.4

=== debian/changelog ===
gspell (1.8.4-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 15 Sep 2020 21:17:10 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # This file is autogenerated. DO NOT EDIT!
-# 
+#
 # Modifications should be made to debian/control.in instead.
 # This file is regenerated automatically in the clean target.
 Source: gspell
@@ -9,27 +9,32 @@
 Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: at-spi2-core <!nocheck>,
                dbus <!nocheck>,
-               debhelper (>= 10.3),
-               gnome-pkg-tools,
-               gobject-introspection,
-               gtk-doc-tools (>= 1.24-2),
+               debhelper-compat (= 12),
+               dh-sequence-gir,
+               dh-sequence-gnome,
                iso-codes,
-               libenchant-dev (>= 1.6.0),
+               libenchant-2-dev (>= 2.1.3),
                libgirepository1.0-dev,
                libglib2.0-dev (>= 2.44),
                libgtk-3-dev (>= 3.20),
                valac,
                xauth <!nocheck>,
                xvfb <!nocheck>
-Standards-Version: 4.1.1
+Build-Depends-Indep: gtk-doc-tools (>= 1.24-2) <!nodoc>,
+                     libglib2.0-doc <!nodoc>,
+                     libgtk-3-doc <!nodoc>,
+                     libgtksourceview-4-doc <!nodoc>,
+                     libpango1.0-doc <!nodoc>
+Standards-Version: 4.4.1
+Vcs-Browser: https://salsa.debian.org/gnome-team/gspell
+Vcs-Git: https://salsa.debian.org/gnome-team/gspell.git
 Homepage: https://wiki.gnome.org/Projects/gspell
-Vcs-Git: https://anonscm.debian.org/git/pkg-gnome/gspell.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-gnome/gspell.git/
 
-Package: libgspell-1-1
+Package: libgspell-1-2
 Architecture: any
 Multi-Arch: same
-Depends: libgspell-1-common (>= ${source:Version}),
+Depends: iso-codes,
+         libgspell-1-common (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: spell-checking library for GTK+ applications
@@ -62,12 +67,13 @@
 Architecture: any
 Multi-Arch: same
 Depends: gir1.2-gspell-1 (= ${binary:Version}),
-         libenchant-dev (>= 1.6.0),
+         libenchant-2-dev (>= 2.1.3),
          libglib2.0-dev (>= 2.44),
-         libgspell-1-1 (= ${binary:Version}),
+         libgspell-1-2 (= ${binary:Version}),
          libgtk-3-dev (>= 3.20),
          ${misc:Depends},
          ${shlibs:Depends}
+Suggests: libgspell-1-doc (= ${source:Version})
 Description: spell-checking library for GTK+ applications - development files
  gspell provides a flexible API to add spell checking to a GTK+ application.
  It features:
@@ -94,3 +100,37 @@
   * Language choosers (button and dialog)
  .
  This package contains the GObject introspection binding
+
+Package: libgspell-1-doc
+Section: doc
+Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
+Breaks: libgspell-1-dev (<< 1.8.2)
+Replaces: libgspell-1-dev (<< 1.8.2)
+Build-Profiles: <!nodoc>
+Description: spell-checking library for GTK+ applications - documentation
+ gspell provides a flexible API to add spell checking to a GTK+ application.
+ It features:
+  * GObject wrappers around Enchant
+  * An inline spell checker for GtkTextView (enhanced version of GtkSpell)
+  * A spell checker dialog for GtkTextView
+  * Support of the no-spell-check tag defined by GtkSourceView
+  * Language choosers (button and dialog)
+ .
+ This package contains the API documentation.
+
+Package: gspell-1-tests
+Section: misc
+Architecture: any
+Depends: iso-codes, ${misc:Depends}, ${shlibs:Depends}
+Description: spell-checking library for GTK+ applications - installed tests
+ gspell provides a flexible API to add spell checking to a GTK+ application.
+ It features:
+  * GObject wrappers around Enchant
+  * An inline spell checker for GtkTextView (enhanced version of GtkSpell)
+  * A spell checker dialog for GtkTextView
+  * Support of the no-spell-check tag defined by GtkSourceView
+  * Language choosers (button and dialog)
+ .
+ This package contains automated tests.

## gspell 1.9.1

=== debian/changelog ===
gspell (1.9.1-4) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/rules: Fix detection whether we need to build the docs or not

  [ Jeremy Bicha ]
  * Bump debhelper-compat to 13
  * debian/rules: Simplify
  * debian/rules: Set NO_AT_BRIDGE=1 for dh_auto_test

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Wed, 09 Feb 2022 19:02:34 -0500

gspell (1.9.1-2) unstable; urgency=medium

  * debian/control.in: Move gtk-doc-tools back to the BD.
    Since 2.70, autoconf will always call gtkdocize when GTK_DOC_CHECK macro
    is used

 -- Laurent Bigonville <bigon@debian.org>  Tue, 12 Oct 2021 17:28:00 +0200

gspell (1.9.1-1) unstable; urgency=medium

  * debian/watch: Update the URL to watch for odd minor versions too
  * New upstream release
    - debian/control.in: Adjust the (build-)dependencies
    - debian/libgspell-1-2.symbols: Add newly exported symbol
  * debian/control.in: Bump Standards-Version to 4.6.0 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Tue, 12 Oct 2021 15:42:23 +0200

=== debian/control ===
--- 
+++ 
@@ -6,26 +6,26 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: at-spi2-core <!nocheck>,
                dbus <!nocheck>,
-               debhelper-compat (= 12),
+               debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
-               iso-codes,
+               gtk-doc-tools (>= 1.24-2),
                libenchant-2-dev (>= 2.1.3),
                libgirepository1.0-dev,
                libglib2.0-dev (>= 2.44),
                libgtk-3-dev (>= 3.20),
+               libicu-dev,
                valac,
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: gtk-doc-tools (>= 1.24-2) <!nodoc>,
-                     libglib2.0-doc <!nodoc>,
+Build-Depends-Indep: libglib2.0-doc <!nodoc>,
                      libgtk-3-doc <!nodoc>,
                      libgtksourceview-4-doc <!nodoc>,
                      libpango1.0-doc <!nodoc>
-Standards-Version: 4.4.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gspell
 Vcs-Git: https://salsa.debian.org/gnome-team/gspell.git
 Homepage: https://wiki.gnome.org/Projects/gspell
@@ -33,8 +33,7 @@
 Package: libgspell-1-2
 Architecture: any
 Multi-Arch: same
-Depends: iso-codes,
-         libgspell-1-common (>= ${source:Version}),
+Depends: libgspell-1-common (>= ${source:Version}),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: spell-checking library for GTK+ applications
@@ -123,7 +122,7 @@
 Package: gspell-1-tests
 Section: misc
 Architecture: any
-Depends: iso-codes, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: spell-checking library for GTK+ applications - installed tests
  gspell provides a flexible API to add spell checking to a GTK+ application.
  It features:

## gspell 1.11.1

=== debian/changelog ===
gspell (1.11.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Update Homepage

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Jun 2022 16:29:18 -0400

gspell (1.10.0-1) unstable; urgency=medium

  * New upstream release
  * debian/libgspell-1-dev.docs: Install README.md & faq.md

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 19 Apr 2022 10:38:03 -0400

## gspell 1.12.0

=== debian/changelog ===
gspell (1.12.0-1) unstable; urgency=medium

  * New upstream release
  * Add debian/upstream/metadata

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 12 Oct 2022 14:55:11 -0400

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>, Jeremy Bicha <jbicha@debian.org>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: at-spi2-core <!nocheck>,
                dbus <!nocheck>,
                debhelper-compat (= 13),
@@ -28,7 +28,7 @@
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gspell
 Vcs-Git: https://salsa.debian.org/gnome-team/gspell.git
-Homepage: https://wiki.gnome.org/Projects/gspell
+Homepage: https://gitlab.gnome.org/GNOME/gspell
 
 Package: libgspell-1-2
 Architecture: any

## gspell 1.12.2

=== debian/changelog ===
gspell (1.12.2-1build4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:16:07 +0000

gspell (1.12.2-1build3) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:48:17 +0000

gspell (1.12.2-1build2) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:52:14 +0000

gspell (1.12.2-1build1) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 11:06:16 +0100

gspell (1.12.2-1) unstable; urgency=medium

  * New upstream release
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 10 Aug 2023 15:01:12 -0400

gspell (1.12.1-1) unstable; urgency=medium

  * New upstream release
    - Build: remove gtk-mac-integration dependency.
    - Documentation improvements.

 -- Amin Bandali <bandali@ubuntu.com>  Thu, 18 May 2023 10:40:42 -0400

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,9 @@
 Source: gspell
 Section: libs
 Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>, Iain Lane <laney@debian.org>, Jeremy Bicha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>, Amin Bandali <bandali@ubuntu.com>, Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
 Build-Depends: at-spi2-core <!nocheck>,
                dbus <!nocheck>,
                debhelper-compat (= 13),
@@ -25,7 +26,7 @@
                      libgtk-3-doc <!nodoc>,
                      libgtksourceview-4-doc <!nodoc>,
                      libpango1.0-doc <!nodoc>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gspell
 Vcs-Git: https://salsa.debian.org/gnome-team/gspell.git
 Homepage: https://gitlab.gnome.org/GNOME/gspell

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

# only build documentation if we are building libgspell-1-doc package
ifneq (,$(filter libgspell-1-doc,$(shell dh_listpackages)))
BUILD_DOC := --enable-gtk-doc --enable-gtk-doc-html
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(BUILD_DOC) --enable-vala --enable-installed-tests

override_dh_auto_test:
	NO_AT_BRIDGE=1 dbus-run-session -- xvfb-run dh_auto_test

override_dh_autoreconf:
	dh_autoreconf --as-needed

execute_before_dh_install:
	find debian/ -name '*.la' -print -delete
	rm -f debian/tmp/usr/bin/gspell-app1

## gspell 1.14.0

=== debian/changelog ===
gspell (1.14.0-3) unstable; urgency=medium

  * Team upload
  * d/control: Replace libgirepository1.0-dev B-D with
    gobject-introspection
  * d/control: Add missing B-D on gir1.2-gtk-3.0-dev.
    Normally libgtk-3-dev provides this, but that won't necessarily be
    true under the <!nogir> build-profile.
  * d/control: Don't require gtk-doc-tools when not building documentation
  * d/control: Add ${gir:Depends}, ${gir:Provides} to -dev package
  * d/rules: Don't run dh_gnome.
    We don't use any of its functionality.

 -- Simon McVittie <smcv@debian.org>  Sun, 07 Sep 2025 22:04:37 +0100

gspell (1.14.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 26 Sep 2024 14:00:36 -0400

gspell (1.14.0-1) experimental; urgency=medium

  * New upstream release
  * Add Build-Depends: hunspell-en-us for build tests
  * Remove remaining patches: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 13 Sep 2024 09:56:59 -0400

gspell (1.13.1-1) experimental; urgency=medium

  * New upstream release
  * Build with meson
  * Rename libgspell-1-2 → libgspell-1-3 to match soname bump
  * debian/libgspell-1-3.symbols: Update
  * Stop using debian/control.in and dh_gnome_clean
  * Cherry-pick 2 patches to restore installed tests after switch to meson
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 07 Aug 2024 12:25:21 -0400

=== debian/control ===
--- 
+++ 
@@ -1,37 +1,35 @@
-# This file is autogenerated. DO NOT EDIT!
-#
-# Modifications should be made to debian/control.in instead.
-# This file is regenerated automatically in the clean target.
 Source: gspell
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>, Amin Bandali <bandali@ubuntu.com>, Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>, Michael Biebl <biebl@debian.org>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>, Amin Bandali <bandali@ubuntu.com>, Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: at-spi2-core <!nocheck>,
                dbus <!nocheck>,
                debhelper-compat (= 13),
                dh-sequence-gir,
                dh-sequence-gnome,
-               gtk-doc-tools (>= 1.24-2),
+               gir1.2-gtk-3.0-dev,
+               gobject-introspection (>= 1.80),
+               hunspell-en-us <!nocheck>,
                libenchant-2-dev (>= 2.1.3),
-               libgirepository1.0-dev,
                libglib2.0-dev (>= 2.44),
                libgtk-3-dev (>= 3.20),
                libicu-dev,
+               meson,
                valac,
                xauth <!nocheck>,
                xvfb <!nocheck>
-Build-Depends-Indep: libglib2.0-doc <!nodoc>,
+Build-Depends-Indep: gtk-doc-tools (>= 1.24-2) <!nodoc>,
+                     libglib2.0-doc <!nodoc>,
                      libgtk-3-doc <!nodoc>,
                      libgtksourceview-4-doc <!nodoc>,
                      libpango1.0-doc <!nodoc>
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gspell
 Vcs-Git: https://salsa.debian.org/gnome-team/gspell.git
 Homepage: https://gitlab.gnome.org/GNOME/gspell
 
-Package: libgspell-1-2
+Package: libgspell-1-3
 Architecture: any
 Multi-Arch: same
 Depends: libgspell-1-common (>= ${source:Version}),
@@ -66,13 +64,14 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: gir1.2-gspell-1 (= ${binary:Version}),
-         libenchant-2-dev (>= 2.1.3),
+Depends: libenchant-2-dev (>= 2.1.3),
          libglib2.0-dev (>= 2.44),
-         libgspell-1-2 (= ${binary:Version}),
+         libgspell-1-3 (= ${binary:Version}),
          libgtk-3-dev (>= 3.20),
+         ${gir:Depends},
          ${misc:Depends},
          ${shlibs:Depends}
+Provides: ${gir:Provides},
 Suggests: libgspell-1-doc (= ${source:Version})
 Description: spell-checking library for GTK+ applications - development files
  gspell provides a flexible API to add spell checking to a GTK+ application.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

# only build documentation if we are building libgspell-1-doc package
ifeq (,$(filter libgspell-1-doc,$(shell dh_listpackages)))
BUILD_DOC := -Dgtk_doc=false
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(BUILD_DOC)

override_dh_auto_test:
	NO_AT_BRIDGE=1 dbus-run-session -- xvfb-run dh_auto_test

execute_before_dh_install:
	rm -f debian/tmp/usr/bin/gspell-app1

override_dh_gnome:

override_dh_gnome_clean:

## gspell 1.14.1

=== debian/changelog ===
gspell (1.14.1-1) unstable; urgency=medium

  * New upstream release
  * debian/watch: Convert to Version: 5 and update download location

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 01 Oct 2025 12:14:07 -0400

gspell (1.14.0-4) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Stop using dh-sequence-gnome

  [ Simon McVittie ]
  * d/control: Standards-Version: 4.7.2 (no changes required)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 08 Sep 2025 07:27:42 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,6 @@
                dbus <!nocheck>,
                debhelper-compat (= 13),
                dh-sequence-gir,
-               dh-sequence-gnome,
                gir1.2-gtk-3.0-dev,
                gobject-introspection (>= 1.80),
                hunspell-en-us <!nocheck>,
@@ -24,7 +23,7 @@
                      libgtk-3-doc <!nodoc>,
                      libgtksourceview-4-doc <!nodoc>,
                      libpango1.0-doc <!nodoc>
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/gnome-team/gspell
 Vcs-Git: https://salsa.debian.org/gnome-team/gspell.git
 Homepage: https://gitlab.gnome.org/GNOME/gspell

=== debian/tests/control ===
Tests: installed-tests
Depends: at-spi2-core, dbus, gnome-desktop-testing, gspell-1-tests, xauth, xvfb
Restrictions: allow-stderr

Tests: build
Depends: build-essential, libgspell-1-dev, pkg-config
Restrictions: allow-stderr superficial

=== debian/watch ===
Version: 5
Template: GitLab
Dist: https://gitlab.gnome.org/GNOME/@PACKAGE@

## gspell 1.14.2

=== debian/changelog ===
gspell (1.14.2-2) unstable; urgency=medium

  * Move Maintainer from Debian GNOME to Debian GNOME Extras
  * Bump Standards Version to 4.7.3

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 23 Jan 2026 17:43:34 -0500

gspell (1.14.2-1) unstable; urgency=medium

  * New upstream release
  * debian/watch: Update download location again

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 30 Nov 2025 11:15:50 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: gspell
 Section: libs
-Priority: optional
-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Tanguy Ortolo <tanguy+debian@ortolo.eu>, Amin Bandali <bandali@ubuntu.com>, Iain Lane <laney@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
+Maintainer: Debian GNOME Extras Maintainers <pkg-gnome-extras-maintainers@lists.alioth.debian.org>
+Uploaders: Jeremy Bícha <jbicha@ubuntu.com>, Laurent Bigonville <bigon@debian.org>
 Build-Depends: at-spi2-core <!nocheck>,
                dbus <!nocheck>,
                debhelper-compat (= 13),
@@ -23,9 +22,9 @@
                      libgtk-3-doc <!nodoc>,
                      libgtksourceview-4-doc <!nodoc>,
                      libpango1.0-doc <!nodoc>
-Standards-Version: 4.7.2
-Vcs-Browser: https://salsa.debian.org/gnome-team/gspell
-Vcs-Git: https://salsa.debian.org/gnome-team/gspell.git
+Standards-Version: 4.7.3
+Vcs-Browser: https://salsa.debian.org/gnome-team/extras/gspell
+Vcs-Git: https://salsa.debian.org/gnome-team/extras/gspell.git
 Homepage: https://gitlab.gnome.org/GNOME/gspell
 
 Package: libgspell-1-3

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dgtk_doc=$(if $(filter %-doc,$(shell dh_listpackages)),true,false)

override_dh_auto_test:
	NO_AT_BRIDGE=1 dbus-run-session -- xvfb-run dh_auto_test

execute_before_dh_install:
	rm -f debian/tmp/usr/bin/gspell-app1
